<?php 
// Author: Philip Martin
// Copyright 2000, Cobalt Networks.  All rights reserved. 
 
include("ServerScriptHelper.php");
 
$serverScriptHelper = new ServerScriptHelper(); 
$cceClient = $serverScriptHelper->getCceClient(); 
$factory = $serverScriptHelper->getHtmlComponentFactory("base-cacheACL",
"/base/cacheACL/aclHandler.php");
 
$acl = $cceClient->getObject("System", array(),"CacheACL");
$currentMode = $acl["mode"];
 
$page = $factory->getPage();
 
$block = $factory->getPagedBlock("cacheACLSettings");
 
// make options list 
$aclAccess = $factory->getMultiChoice("modeField",
		array("whitelist", "blacklist", "all"),
		array($currentMode));
 
$block->addFormField($aclAccess, $factory->getLabel("modeField"));
 
$domains =$factory->getBlanketDomainList("domainsField",$acl["domains"]);
$domains->setOptional(true);
$block->addFormField(
  $domains,
  $factory->getLabel("domainsField")
);

$ipaddr =$factory->getIpAddressList("ipaddrField",$acl["ipaddr"]);
$ipaddr->setOptional(true);
$block->addFormField(
  $ipaddr,
  $factory->getLabel("ipaddrField")
); 


$block->addButton($factory->getSaveButton($page->getSubmitAction()));


$serverScriptHelper->destructor();

?>
<?php print($page->toHeaderHtml()); ?>
 
<?php print($block->toHtml()); ?>
 
<?php print($page->toFooterHtml()); ?>
